%define name	gsnmp
%define lib_major	0
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	An SNMP library implementation based on glib and gnet
Name:		%{name}
Version:	0.3.0
Release:	%mkrel 6
License:	GPLv2
Group:		Networking/Other
URL:		http://www.ibr.cs.tu-bs.de/projects/scli/
Source0:	ftp://ftp.ibr.cs.tu-bs.de/local/gsnmp/%{name}-%{version}.tar.bz2
Patch0:		gsnmp-linkage_fix.diff
# (fc) 0.3.0-2mdv fix m4 warning
Patch1:		gsnmp-0.3.0-fix-underquoted-warning.patch
Patch2:		gsnmp-0.3.0-automake-1.13.patch
BuildRequires:	libxml2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	libglib2-devel
BuildRequires:	libgnet2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNET-SNMP is an SNMP library implementation based on glib and gnet. This
library has been developed as part of the scli package (an SNMP command line
interface).  Some examples demonstrating the API can be found in the examples
directory.  Some examples use stub files generated by the smidump MIB compiler,
which is part of the libsmi package.

%package -n	%{lib_name}
Summary:	A library of functions for the snmp protocol
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libgsnmp.

%package -n 	%{develname}
Summary:	Development tools for the snmp protocol
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release} glib2-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{lib_name}-devel

%description -n %{develname}
This package contains the header files and libraries
necessary for developing programs using libgsnmp.

%prep

%setup -q
%patch0 -p0
%patch1 -p1 -b .fix_underquoted
%patch2 -p1 -b .automake-1_13

%build
autoreconf -fis

%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_bindir}/gsnmp-get
%{_mandir}/man1/gsnmp-get.*

%files -n %{lib_name}
%{_libdir}/libgsnmp.so.*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/libgsnmp.a
%{_libdir}/libgsnmp.la
%{_libdir}/libgsnmp.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-6.mga4
+ Revision: 505346
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 cjw <cjw> 0.3.0-5.mga3
+ Revision: 352820
- patch2: fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.3.0-4.mga1
+ Revision: 58121
- imported package gsnmp


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-4mdv2011.0
+ Revision: 605504
- rebuild

* Tue Mar 16 2010 Frederic Crozat <fcrozat@mandriva.com> 0.3.0-3mdv2010.1
+ Revision: 521934
- Fix typo in patch1

* Thu Mar 11 2010 Frederic Crozat <fcrozat@mandriva.com> 0.3.0-2mdv2010.1
+ Revision: 517973
- Patch1: fix m4 warning
- run autoreconf at prep time, not build time

* Fri Feb 19 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 508526
- update to new version 0.3.0

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.2.0-6mdv2010.0
+ Revision: 425048
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdv2009.0
+ Revision: 234827
- fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix description-line-too-long

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.2.0-3mdv2008.1
+ Revision: 150239
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Crispin Boylan <crisb@mandriva.org>
    - Bump release

* Sun Aug 19 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 66724
- New devel naming policy

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Tue Jan 16 2007 Crispin Boylan <crisb@mandriva.org> 0.2.0-1mdv2007.0
+ Revision: 109642
- Initial mandriva package
- Create gsnmp

